%{?nodejs_find_provides_and_requires}

%global packagename delete
%global enable_tests 1

Name:		nodejs-delete
Version:	1.1.0
Release:	1%{?dist}
Summary:	Delete files and folders and any intermediate directories

License:	MIT
URL:		https://github.com/jonschlinkert/delete
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/delete/%{version}/test.js


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(async-each)
BuildRequires:	npm(extend-shallow)
BuildRequires:	npm(lazy-cache)
BuildRequires:	npm(matched)
BuildRequires:	npm(rimraf)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Delete files and folders and any intermediate directories if they exist (sync
and async).


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep lazy-cache

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Sep 19 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Update to upstream 1.1.0 release

* Fri Jul 29 2016 Jared Smith <jsmith@fedoraproject.org> - 0.3.2-1
- Initial packaging
